## python-pyaudio 0.2.4

=== Makefile ===
# This is the PyAudio distribution makefile.

.PHONY: docs clean

EPYDOC ?= epydoc

VERSION := 0.2.4
DOCS_OUTPUT=docs/
DOC_NAME := PyAudio-$(VERSION)
DOC_URL=http://people.csail.mit.edu/hubert/pyaudio/

what:
	@echo "make targets:"
	@echo
	@echo " tarball    : build source tarball"
	@echo " docs       : generate documentation (requires epydoc)"
	@echo " clean      : remove build files"
	@echo
	@echo "To build pyaudio, run:"
	@echo
	@echo "   python setup.py install"

clean:
	@rm -rf build dist MANIFEST $(DOCS_OUTPUT) src/*.pyc

######################################################################
# Documentation
######################################################################

docs:
	@cd src; \
	$(EPYDOC) -v -o ../$(DOCS_OUTPUT) --name $(DOC_NAME) --url $(DOC_URL) \
	--no-private pyaudio.py

######################################################################
# Source Tarball
######################################################################
tarball: docs $(SRCFILES) MANIFEST.in
	@python setup.py sdist

=== debian/changelog ===
python-pyaudio (0.2.4-2~bpo60+1) squeeze-backports; urgency=low

  * Compiled for Debian Squeeze

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 18 Nov 2011 10:00:15 +0000

python-pyaudio (0.2.4-2) unstable; urgency=low

  * Add python-docutils to Build-Depends.
  * Generate documentation against built portaudio module.

 -- Hubert Pham <hubert@mit.edu>  Tue, 02 Nov 2010 23:16:00 -0500

python-pyaudio (0.2.4-1) UNRELEASED; urgency=low

  [ Felipe Sateler ]
  * Bump standards version (no changes needed)
  * Introduce a long description
  * Use --intall-layout=deb to comply with python policy
  * Use ${shlib:Depends} and ${misc:Depends}
  * Move to python section
  * Add dummy binary-indep target
  * Add call to dh_compress
  * Add homepage field

  [ Hubert Pham ]
  * Updated directory structure and packaging.

 -- Hubert Pham <hubert@mit.edu>  Wed, 18 Aug 2010 15:23:00 -0500

python-pyaudio (0.2.3) unstable; urgency=low

  * Release the GIL during blocking PortAudio I/O calls.

  * Fixed Python argument parsing to use a long for PaSampleFormat.

  * pyaudio.PyAudio.is_format_supported() now throws a ValueError
    exception if the specified format is not supported for any reason
    (or returns True if the format is supported).

 -- Hubert Pham <hubert@mit.edu>  Thu, 30 Oct 2008 17:00:00 -0500

python-pyaudio (0.2.0) unstable; urgency=low

  * Initial version

 -- Justin Mazzola Paluska <jmp@mit.edu>  Fri, 08 Feb 2008 13:47:27 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile -*-

SPACE := 
SPACE +=
DH_VERBOSE=1
DEB_PYTHON_SYSTEM := pysupport

PYVERS=$(shell pyversions -vs)

build: $(PYVERS:%=build-python%) docs
	touch $@
build-python%:
	dh_testdir
	python$* setup.py build
	touch $@

docs: $(PYVERS:%=build-python%)
	PYTHONPATH=$(subst $(SPACE),:,$(abspath $(wildcard build/lib*))) make docs

clean:
	dh_testdir
	rm -rf build build-python* debian/python-pyaudio* debian/files docs
	rm -rf src/*.pyc MANIFEST
	dh_clean


install: build $(PYVERS:%=install-python%) install-docbase
install-python%:
	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pyaudio

install-docbase:
	mkdir -p $(CURDIR)/debian/python-pyaudio/usr/share/doc-base/
	cp $(CURDIR)/debian/docbase $(CURDIR)/debian/python-pyaudio/usr/share/doc-base/python-pyaudio

binary: binary-arch binary-indep
# Nothing to do...
binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs CHANGELOG
	dh_installexamples
	dh_compress -X.js -X.py
	dh_strip
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## python-pyaudio 0.2.7

=== Makefile ===
# This is the PyAudio distribution makefile.

.PHONY: docs clean build

VERSION := 0.2.7
PYTHON ?= python
BUILD_ARGS ?=
SPHINX ?= sphinx-build
DOCS_OUTPUT=docs/
PYTHON_BUILD_DIR:=$(shell $(PYTHON) -c "import distutils.util; import sys; print(distutils.util.get_platform() + '-' + sys.version[0:3])")
BUILD_DIR:=lib.$(PYTHON_BUILD_DIR)
BUILD_STAMP:=$(BUILD_DIR)/build
SRCFILES := src/*.c src/*.h src/*.py
EXAMPLES := test/*.py

what:
	@echo "make targets:"
	@echo
	@echo " tarball    : build source tarball"
	@echo " docs       : generate documentation (requires sphinx)"
	@echo " clean      : remove build files"
	@echo
	@echo "To build pyaudio, run:"
	@echo
	@echo "   python setup.py install"

clean:
	@rm -rf build dist MANIFEST $(DOCS_OUTPUT) src/*.pyc

######################################################################
# Documentation
######################################################################

build: build/$(BUILD_STAMP)

build/$(BUILD_STAMP): $(SRCFILES)
	$(PYTHON) setup.py build $(BUILD_ARGS)
	touch $@

docs: build
	PYTHONPATH=build/$(BUILD_DIR) $(SPHINX) -b html sphinx/ $(DOCS_OUTPUT)

######################################################################
# Source Tarball
######################################################################
tarball: docs $(SRCFILES) $(EXAMPLES) MANIFEST.in
	@$(PYTHON) setup.py sdist

=== debian/changelog ===
python-pyaudio (0.2.7-1) experimental; urgency=low

  * Add support for callables in non-blocking mode.
  * Change documentation generator to Sphinx.

 -- Hubert Pham <hubert@mit.edu>  Sat, 20 Oct 2012 20:00:00 -0500

python-pyaudio (0.2.6-1) experimental; urgency=low

  * New upstream release.
  * Add support for Python 3.
  * Split documentation into python-pyaudio-doc package.

 -- Hubert Pham <hubert@mit.edu>  Sat, 02 Sep 2012 21:00:00 -0500

python-pyaudio (0.2.5-1) UNRELEASED; urgency=low

  * Add support for callback (non-blocking) operation.

 -- Hubert Pham <hubert@mit.edu>  Sat, 02 Sep 2012 20:00:00 -0500

=== debian/control ===
Source: python-pyaudio
Section: python
Priority: optional
Standards-Version: 3.9.3
Build-Depends: python-all-dev, python3-all-dev, debhelper(>= 9), portaudio19-dev, python-sphinx, python-docutils
Maintainer: Hubert Pham <hubert@mit.edu>
Uploaders: Felipe Sateler <fsateler@debian.org>, Justin Mazzola Paluska <jmp@mit.edu>
Homepage: http://people.csail.mit.edu/hubert/pyaudio/
Vcs-Git: http://people.csail.mit.edu/hubert/git/pyaudio.git
Vcs-Browser: http://people.csail.mit.edu/hubert/git/pyaudio.git

Package: python-pyaudio
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pyaudio-doc (>= ${source:Upstream-Version})
Architecture: any
Description: Python bindings for PortAudio v19
 PyAudio provides Python bindings for PortAudio v19, the
 cross-platform audio I/O library. PyAudio makes it easy to use Python
 to play and record audio via pythonic wrappers around the PortAudio
 API.  This package is for Python2.

Package: python3-pyaudio
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python-pyaudio-doc (>= ${source:Upstream-Version})
Architecture: any
Description: Python3 bindings for PortAudio v19
 PyAudio provides Python bindings for PortAudio v19, the
 cross-platform audio I/O library. PyAudio makes it easy to use Python
 to play and record audio via pythonic wrappers around the PortAudio
 API.  This package is for Python3.

Package: python-pyaudio-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Documentation for Python bindings for PortAudio v19
 Documentation for PyAudio, which provides Python bindings for
 PortAudio v19, the cross-platform audio I/O library. PyAudio makes it
 easy to use Python to play and record audio via pythonic wrappers
 around the PortAudio API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile -*-

SPACE := 
SPACE +=

PYVERS := $(shell pyversions -vs) $(shell py3versions -vs)

PYTHONPATH=$(subst $(SPACE),:,$(abspath $(wildcard build/lib*)))

%:
	dh $@ --with python2,python3

override_dh_auto_build: $(PYVERS:%=build-python%)
	PYTHONPATH=$(PYTHONPATH) make docs

# This has to be in a separate target otherwise
# make gets confused and executes the PYTHONPATH too early
build-python%:
	dh_testdir
	python$* setup.py build


override_dh_auto_install: $(PYVERS:%=install-python%)

install-python%:
	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

## python-pyaudio 0.2.8

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 .PHONY: docs clean build
 
-VERSION := 0.2.7
+VERSION := 0.2.8
 PYTHON ?= python
 BUILD_ARGS ?=
 SPHINX ?= sphinx-build

=== debian/changelog ===
python-pyaudio (0.2.8-1build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:54 +0000

python-pyaudio (0.2.8-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 00:05:34 +0000

python-pyaudio (0.2.8-1) unstable; urgency=low

  * Fix support for non-UTF8 encoded device names.
  * Fix deadlock on some platforms when calling pa.stop_stream.
  * Fix debian packaging to avoid including unnecessary files.
    Closes: #743660.

 -- Hubert Pham <hubert@mit.edu>  Mon, 12 Apr 2014 19:00:00 -0500

python-pyaudio (0.2.7-2) unstable; urgency=low

  * Upload to unstable
  * Bump standards version
  * Link jquery and underscore to the libjs- packages

 -- Felipe Sateler <fsateler@debian.org>  Sat, 19 Oct 2013 17:35:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-pyaudio
 Section: python
 Priority: optional
-Standards-Version: 3.9.3
-Build-Depends: python-all-dev, python3-all-dev, debhelper(>= 9), portaudio19-dev, python-sphinx, python-docutils
-Maintainer: Hubert Pham <hubert@mit.edu>
+Standards-Version: 3.9.4
+Build-Depends: python-all-dev, python3-all-dev, debhelper(>= 9), portaudio19-dev, python-sphinx, python-docutils, dh-linktree, libjs-jquery, libjs-underscore
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hubert Pham <hubert@mit.edu>
 Uploaders: Felipe Sateler <fsateler@debian.org>, Justin Mazzola Paluska <jmp@mit.edu>
 Homepage: http://people.csail.mit.edu/hubert/pyaudio/
 Vcs-Git: http://people.csail.mit.edu/hubert/git/pyaudio.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PYTHONPATH=$(subst $(SPACE),:,$(abspath $(wildcard build/lib*)))
 
 %:
-	dh $@ --with python2,python3
+	dh $@ --with python2,python3,linktree
 
 override_dh_auto_build: $(PYVERS:%=build-python%)
 	PYTHONPATH=$(PYTHONPATH) make docs

## python-pyaudio 0.2.10

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 .PHONY: docs clean build
 
-VERSION := 0.2.8
+VERSION := 0.2.10
 PYTHON ?= python
 BUILD_ARGS ?=
 SPHINX ?= sphinx-build
@@ -11,7 +11,8 @@
 BUILD_DIR:=lib.$(PYTHON_BUILD_DIR)
 BUILD_STAMP:=$(BUILD_DIR)/build
 SRCFILES := src/*.c src/*.h src/*.py
-EXAMPLES := test/*.py
+EXAMPLES := examples/*.py
+TESTS := tests/*.py
 
 what:
 	@echo "make targets:"
@@ -43,5 +44,5 @@
 ######################################################################
 # Source Tarball
 ######################################################################
-tarball: docs $(SRCFILES) $(EXAMPLES) MANIFEST.in
+tarball: docs $(SRCFILES) $(EXAMPLES) $(TESTS) MANIFEST.in
 	@$(PYTHON) setup.py sdist

=== debian/changelog ===
python-pyaudio (0.2.10-1ubuntu1) zesty; urgency=medium

  * Disable PIE during build so that linking happens in the correct
    manner.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 15 Feb 2017 13:22:09 +0530

python-pyaudio (0.2.10-1) unstable; urgency=medium

  [ Hubert Pham ]
  * New upstream release
    - Fix deadlock on some platforms with improved handling of Python GIL.
  * Update Standards-Version.
  * Add lintian-overrides for jquery and underscore source missing. They are
    false positives.
  * Update homepage and git URL to https.

  [ Felipe Sateler ]
  * Simplify d/rules by making use of the debhelper pybuild buildsystem
  * Enable hardening compiler features
  * Vcs-Git: Make git clones checkout the debian branch

 -- Hubert Pham <hubert@mit.edu>  Wed, 18 Jan 2017 10:38:13 -0300

python-pyaudio (0.2.9-1) unstable; urgency=low

  * Fix overflow error handling logic for pa_read_stream.
  * Fix IOError exception arguments.

 -- Hubert Pham <hubert@mit.edu>  Sun, 18 Oct 2015 19:00:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-pyaudio
 Section: python
 Priority: optional
-Standards-Version: 3.9.4
-Build-Depends: python-all-dev, python3-all-dev, debhelper(>= 9), portaudio19-dev, python-sphinx, python-docutils, dh-linktree, libjs-jquery, libjs-underscore
+Standards-Version: 3.9.8
+Build-Depends: python-all-dev, python3-all-dev, debhelper(>= 9), portaudio19-dev, python-sphinx, python-docutils, dh-linktree, dh-python, libjs-jquery, libjs-underscore
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Hubert Pham <hubert@mit.edu>
 Uploaders: Felipe Sateler <fsateler@debian.org>, Justin Mazzola Paluska <jmp@mit.edu>
-Homepage: http://people.csail.mit.edu/hubert/pyaudio/
-Vcs-Git: http://people.csail.mit.edu/hubert/git/pyaudio.git
-Vcs-Browser: http://people.csail.mit.edu/hubert/git/pyaudio.git
+Homepage: https://people.csail.mit.edu/hubert/pyaudio/
+Vcs-Git: https://people.csail.mit.edu/hubert/git/pyaudio.git -b debian
+Vcs-Browser: https://people.csail.mit.edu/hubert/git/pyaudio.git
 
 Package: python-pyaudio
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile -*-

SPACE := 
SPACE +=

PYTHONPATH=$(subst $(SPACE),:,$(abspath $(wildcard build/lib*)))

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --with python2,python3,linktree --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(PYTHONPATH) make docs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs

## python-pyaudio 0.2.11

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 .PHONY: docs clean build
 
-VERSION := 0.2.10
+VERSION := 0.2.11
 PYTHON ?= python
 BUILD_ARGS ?=
 SPHINX ?= sphinx-build
@@ -44,5 +44,5 @@
 ######################################################################
 # Source Tarball
 ######################################################################
-tarball: docs $(SRCFILES) $(EXAMPLES) $(TESTS) MANIFEST.in
+tarball: $(SRCFILES) $(EXAMPLES) $(TESTS) MANIFEST.in
 	@$(PYTHON) setup.py sdist

=== debian/changelog ===
python-pyaudio (0.2.11-1) unstable; urgency=low

  * New upstream release
    - Fix free-after-use memory issue.
  * Remove lintian-overrides for jquery and underscore source missing,
    as upstream source no longer contains generated docs.

 -- Hubert Pham <hubert@mit.edu>  Sat, 18 Mar 2017 22:36:00 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Standards-Version: 3.9.8
 Build-Depends: python-all-dev, python3-all-dev, debhelper(>= 9), portaudio19-dev, python-sphinx, python-docutils, dh-linktree, dh-python, libjs-jquery, libjs-underscore
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hubert Pham <hubert@mit.edu>
+Maintainer: Hubert Pham <hubert@mit.edu>
 Uploaders: Felipe Sateler <fsateler@debian.org>, Justin Mazzola Paluska <jmp@mit.edu>
 Homepage: https://people.csail.mit.edu/hubert/pyaudio/
 Vcs-Git: https://people.csail.mit.edu/hubert/git/pyaudio.git -b debian

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 PYTHONPATH=$(subst $(SPACE),:,$(abspath $(wildcard build/lib*)))
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with python2,python3,linktree --buildsystem=pybuild

## python-pyaudio 0.2.12

=== Makefile ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 .PHONY: docs clean build
 
-VERSION := 0.2.11
+VERSION := 0.2.12
 PYTHON ?= python
 BUILD_ARGS ?=
 SPHINX ?= sphinx-build
 DOCS_OUTPUT=docs/
-PYTHON_BUILD_DIR:=$(shell $(PYTHON) -c "import distutils.util; import sys; print(distutils.util.get_platform() + '-' + sys.version[0:3])")
+PYTHON_BUILD_DIR:=$(shell $(PYTHON) -c "import distutils.util; import sys; print(f'{distutils.util.get_platform()}-{sys.version_info[0]}.{sys.version_info[1]}')")
 BUILD_DIR:=lib.$(PYTHON_BUILD_DIR)
 BUILD_STAMP:=$(BUILD_DIR)/build
 SRCFILES := src/*.c src/*.h src/*.py

## python-pyaudio 0.2.13

=== Makefile ===
# This is the PyAudio distribution makefile.

.PHONY: docs clean build

VERSION := 0.2.13
PYTHON ?= python3
SPHINX ?= sphinx-build
DOCS_OUTPUT = docs/
# To build the docs, we need to first build the library. Hardcode the lib output
# directory, since different versions of Python and setuptools use different
# default directory names.
BUILD_DIR := build/lib
BUILD_STAMP := $(BUILD_DIR)/build
BUILD_ARGS := --build-platlib $(BUILD_DIR)
SRCFILES := src/pyaudio/*.c src/pyaudio/*.h src/pyaudio/*.py
EXAMPLES := examples/*.py
TESTS := tests/*.py

what:
	@echo "make targets:"
	@echo
	@echo " tarball    : build source tarball"
	@echo " docs       : generate documentation (requires sphinx)"
	@echo " clean      : remove build files"
	@echo
	@echo "To build pyaudio, run:"
	@echo
	@echo "   python setup.py install"

clean:
	@rm -rf build dist MANIFEST $(DOCS_OUTPUT) src/pyaudio/*.pyc \
	src/pyaudio/*.so src/pyaudio/__pycache__

######################################################################
# Documentation
######################################################################

build: $(BUILD_STAMP)

$(BUILD_STAMP): $(SRCFILES)
	$(PYTHON) setup.py build $(BUILD_ARGS)
	touch $@

docs: build
	PYTHONPATH=$(BUILD_DIR) $(SPHINX) -b html sphinx/ $(DOCS_OUTPUT)

######################################################################
# Source Tarball
######################################################################
tarball: $(SRCFILES) $(EXAMPLES) $(TESTS) MANIFEST.in
	@$(PYTHON) setup.py sdist

=== debian/changelog ===
python-pyaudio (0.2.13-1build6) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:07:49 +0000

python-pyaudio (0.2.13-1build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:13:27 +0000

python-pyaudio (0.2.13-1build4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:24 +0100

python-pyaudio (0.2.13-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:48:00 +0000

python-pyaudio (0.2.13-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:49:56 +0000

python-pyaudio (0.2.13-1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:39:18 -0500

python-pyaudio (0.2.13-1) unstable; urgency=medium

  * New upstream release
    - Moves pyaudio.Stream to pyaudio.PyAudio.Stream.
    - Deprecates PaMacCoreStreamInfo's get_channel_map and get_flags methods.
      Replaces methods with channel_map and flags properties, respectively.
    - Packages PyAudio as a Python package (directory).
    - Adds support for linking against Homebrew on Apple Silicon.
    - Refactors C extension, adds more tests, modernizes examples.
  * Remove debian patches for Makefile, now unnecessary with upstream updates.

 -- Hubert Pham <hubert@mit.edu>  Mon, 26 Dec 2022 00:15:00 -0500

python-pyaudio (0.2.12-1) unstable; urgency=medium

  * New upstream release
    - Refactor setup.py to simplify build logic.
    - Use paFramesPerBufferUnspecified as the default frames per buffer.
    - Use system's preferred encoding to decode device names.
    - Unit tests now skippable by environment variable.
    - Documentation fixes.
  * Link sphinx to the libjs-sphinxdoc package
  * Link docs to main package.

 -- Hubert Pham <hubert@mit.edu>  Thu, 21 Jul 2022 00:54:00 -0500

python-pyaudio (0.2.11-1.3ubuntu1) jammy; urgency=medium

  * Adjust Makefile for Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2022 13:10:38 +0000

python-pyaudio (0.2.11-1.3build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:01:32 +0000

python-pyaudio (0.2.11-1.3build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:59:04 +0000

python-pyaudio (0.2.11-1.3build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:43:20 +0100

python-pyaudio (0.2.11-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix maintainer address in previous upload.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2020 17:05:20 +0100

python-pyaudio (0.2.11-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix doc build problem. (Closes: #961798)
  * Updated debhelper version from 9 to 12.
  * Override dh_clean to remove generated egg-info files.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Oct 2020 22:01:14 +0000

python-pyaudio (0.2.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use Python 3 for building docs.
  * Drop Python 2 support (Closes: #938056).

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Dec 2019 12:28:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,20 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with python2,python3,linktree --buildsystem=pybuild
+	dh $@ --with python3,linktree --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	$(RM) -rf src/PyAudio.egg-info
+	$(RM) -rf debian/doctrees
 
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=$(PYTHONPATH) make docs
 
+override_dh_installdocs:
+	dh_installdocs --doc-main-package=python3-pyaudio -ppython-pyaudio-doc
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf docs
